/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */
/*          EXIFPROBE - TIFF/JPEG/EXIF image file probe               */
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */
/* Copyright (C) 2002 by Duane H. Hesser. All rights reserved.        */
/*                                                                    */
/* See the file LICENSE.EXIFPROBE for terms of use.                   */
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */
/* @(#) $Id: maker.h,v 1.10 2005/01/27 23:55:18 alex Exp $" */
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */

/* General definitions for makernotes                                 */

#ifndef MAKER_INCLUDED
#define MAKER_INCLUDED

#define MAX_IDLEN   24      /* max makernote id length to look for    */

#define UNKNOWN_SCHEME                  0x0
#define PLAIN_IFD_SCHEME                0x1
#define HAS_ID_SCHEME                   0x2
#define HAS_ID_PLUS_TIFFHDR_SCHEME      0x4

/* offset values relative to...                                       */
#define START_OF_TIFFHEADER   0
#define START_OF_NOTE         1
#define START_OF_ENTRY        2

/* Magic numbers for maker                                            */
#define GENERIC             0
#define MAKER_AGFA          1
#define MAKER_CANON         2
#define MAKER_CASIO         3
#define MAKER_EPSON         4
#define MAKER_KODAK         5
#define MAKER_FUJIFILM      6
#define MAKER_HP            7
#define MAKER_MINOLTA       8
#define MAKER_NIKON         9
#define MAKER_OLYMPUS       10
#define MAKER_SONY          11
#define MAKER_SANYO         12
#define MAKER_LEICA         13
#define MAKER_ASAHI         14
#define MAKER_KYOCERA       15
#define MAKER_TRAVELER      16
#define MAKER_PANASONIC     17
#define MAKER_RICOH         18
#define MAKER_KONICA        19
#define MAKER_TOSHIBA       20
#define MAKER_SIGMA         21

/* Nikon Model magic                                                  */
#define NIKON_700           1
#define NIKON_800           2
#define NIKON_900           3
#define NIKON_910           4
#define NIKON_950           5
#define NIKON_990           6
#define NIKON_995           7
#define NIKON_D1            8
#define NIKON_D100          9
#define NIKON_775           10
#define NIKON_885           11
#define NIKON_5000          12
#define NIKON_5700          13

/* Epson model magic                                                  */
#define EPSON_3000Z         1
#define EPSON_3100Z         2

/* Canon model magic                                                  */
#define CANON_IXUS          1
#define CANON_EOSD30        2
#define CANON_EOS1DS        3
#define CANON_POWERSHOT_G2  4

/* Casio model magic                                                  */
#define CASIO_QV2000UX      1
#define CASIO_QV3000EX      2
#define CASIO_QV4000        3
#define CASIO_QV8000SX      4
#define CASIO_EX_P600       5

/* Fujifilm model magic                                               */
#define FUJI_F601           1
#define FUJI_DX10           2   /* No makernote                       */
#define FUJI_40i            3
#define FUJI_MX1700         4   /* No makernote                       */
#define FUJI_4900           5
#define FUJI_S1PRO          6   /* No makernote                       */
#define FUJI_S2PRO          7

/* Kyocera model magic                                                */
#define KYOCERA_FCS3        1
#define KYOCERA_FINECAMS5   2

/* Leica model magic                                                  */
#define LEICA_DIGILUX43     1   /* Identical to FUJI                  */

/* Minolta model magic                                                */
#define MINOLTA_DIMAGE7     1
#define MINOLTA_DIMAGEF100  2
#define MINOLTA_DIMAGES404  3
#define MINOLTA_DIMAGE7Hi   4
#define MINOLTA_DIMAGE7i    5
#define MINOLTA_DIMAGEF300  6
#define MINOLTA_DIMAGEEX    7
#define MINOLTA_DIMAGEX     8
#define MINOLTA_DIMAGES414  9

/* Agfa model magic                                                   */
#define AGFA_SR841          1

/* Olympus model magic                                                */
#define OLYMPUS_700UZ       1
#define OLYMPUS_960Z        2
#define OLYMPUS_C2500L      3
#define OLYMPUS_3030Z       4
#define OLYMPUS_3040Z       5

/* Sanyo model magic                                                  */
#define SANYO_SR6           1
#define SANYO_SX113         2

/* Asahi model magic                                                  */
#define ASAHI_PENTAX330     1
#define ASAHI_PENTAX430     2
#define ASAHI_PENTAX330RS   3
#define ASAHI_PENTAX430RS   4

/* Panasonic model magic                                              */
#define PANASONIC_DMCFZ1    1
#define PANASONIC_DMCFZ2    2
#define PANASONIC_DMCFZ3    3
#define PANASONIC_DMCFZ10   4
#define PANASONIC_DMCFZ15   5
#define PANASONIC_DMCFZ20   6
#define PANASONIC_DMCLC5    7
#define PANASONIC_DMCLC33   8
#define PANASONIC_DMCLC40   9
#define PANASONIC_DMCLC43   10

/* Toshiba model magic                                                */
#define TOSHIBA_PDR_3300    1

/* Sanyo model magic                                                  */
#define SIGMA_SD9           1
#define SIGMA_SD10          2

#endif
